# JvmTestSuitePlugin

@Incubating
abstract class JvmTestSuitePlugin : Plugin<T>

A org.gradle.api.Plugin that adds extensions for declaring, compiling and running JvmTestSuites.

This plugin provides conventions for several things:

- All other `JvmTestSuite` will use the JUnit Jupiter testing framework unless specified otherwise.
- A single test suite target is added to each `JvmTestSuite`.

#### Since

7.3

#### See also

<a href="https://docs.gradle.org/current/userguide/jvm_test_suite_plugin.html">Test Suite plugin reference</a>

## Constructors

JvmTestSuitePlugin
Link copied to clipboard
constructor()

## Properties

DEFAULT_TEST_SUITE_NAME
Link copied to clipboard
val DEFAULT_TEST_SUITE_NAME: String = "test"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)